            #GIT_CMT=274d0ae38130e6d759deae5b7c78c18d31754f9b
Name:		pcp-oracle-conf	
Version:	1
Release:    5.0.3.el7
Summary:	pcp-oracle-conf - Config files for pmlogger and pmrep

License: 	The Universal Permissive License (UPL), Version 1.0
Source0: pcp-oracle-conf-1.tar.bz2
Requires:       pcp-zeroconf 

%description
Configuration files for pmrep and pmlogger utilities for Oracle Linux
 
%prep

%global debug_package %{nil}

%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/pcp/pmrep/
mkdir -p $RPM_BUILD_ROOT/var/lib/pcp/config/pmlogger/
install -m 0644 config.ora $RPM_BUILD_ROOT/var/lib/pcp/config/pmlogger/config.ora
install -m 0644 ora_pmrep.conf $RPM_BUILD_ROOT/etc/pcp/pmrep/ora_pmrep.conf

%post

# modify pmlogger control file to use to config.ora instead of config.default
sed -i 's/config.default/config.ora/g' "/etc/pcp/pmlogger/control.d/local"

# configure pmlogger archive retention
sed -i 's/^\#PMLOGGER_DAILY_PARAMS.*/PMLOGGER_DAILY_PARAMS="-x 1 -k 7 -R"/g' "/etc/sysconfig/pmlogger_timers"

# disable access checks in pmdaproc 
sed -i 's/pmdaproc.*\-d/pmdaproc -A -d/g' "/etc/pcp/pmcd/pmcd.conf"

# disable access checks in pmdalinux
sed -i 's/pmdalinux.*/pmdalinux -A/g' "/etc/pcp/pmcd/pmcd.conf"

/bin/systemctl restart pmcd.service >/dev/null 2>&1
/bin/systemctl restart pmlogger.service >/dev/null 2>&1

%postun

# modify pmlogger control file to use config.default instead of config.ora
sed -i 's/config.ora/config.default/g' "/etc/pcp/pmlogger/control.d/local"

# Revert pmdalinux and pmdaproc config
sed -i 's/pmdaproc -A/pmdaproc\ /g' "/etc/pcp/pmcd/pmcd.conf"
sed -i 's/pmdalinux -A/pmdalinux\ /g' "/etc/pcp/pmcd/pmcd.conf"

/bin/systemctl restart pmcd.service >/dev/null 2>&1
/bin/systemctl restart pmlogger.service >/dev/null 2>&1

%files
%defattr(-,root,root,-)
%config /etc/pcp/pmrep/ora_pmrep.conf
%config /var/lib/pcp/config/pmlogger/config.ora
%doc LICENSE.txt 

%changelog
* Wed May 11 2022 sagar sagar <sagar.sagar@oracle.com> - 1-5.0.3.el7
- Metrics to be recored has been addded into config.ora file to relsove multiple
  bugs Orabug: 33878776 Orabug: 33878744 Orabug: 33878773 Orabug: 33878770
  Signed-off-by:sagar.sagar@oracle.com Reviewed-by: Laurence Rochfort
  <laurence.rochfort@oracle.com> (Sagar Sagar)

* Wed Mar 30 2022 sagar sagar <sagar.sagar@oracle.com> - 1-5.0.1.el7
-  Metrics to be recored has been addded into config.ora file to relsove
  multiple bugs  Orabug: 33878749  Orabug: 33878751  Orabug: 33878752  Orabug:
  33878756  Orabug: 33878754  Orabug: 33878739  Orabug: 33878743  Orabug:
  33878747 (Sagar Sagar)

* Fri Feb 11 2022 Sushmita Bhattacharya <sushmita.bhattacharya@oracle.com> - 1-5.el7
- Corrected the last version number

* Tue Feb 08 2022 Sushmita Bhattacharya <sushmita.bhattacharya@oracle.com> - 1-5
- Reverted pmdalinux and pmdaproc config

* Thu Feb 03 2022 Sushmita Bhattacharya <sushmita.bhattacharya@oracle.com> - 1-4
- Disabled access checks for pmdalinux and pmdaproc

* Wed Jan 26 2022 Sushmita Bhattacharya <sushmita.bhattacharya@oracle.com> - 1-3
- Renamed pmrep.ora to ora_pmrep.conf
- Modified default collection interval to 10 seconds, and proc related metrics' collection 
  interval to 30 seconds, also modified pmrep.ora to ora_pmrep.conf
- Deleted spec file from top level of buildrpm

* Thu Dec 23 2021 sushmita.bhattacharya@oracle.com - 1-2
- Added LICENSE file

* Fri Dec 10 2021 sushmita.bhattacharya@oracle.com - 1-1
- Initial release

